import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import assets from './assets.json';
import { buildComponents, AssetLoader } from '@alilc/lowcode-utils';
import { injectComponents } from '@alilc/lowcode-plugin-inject';
import Axios from 'axios';
export var getSchemaPreview = /*#__PURE__*/function () {
  var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(_ref) {
    var _ref$dataSource, dataSource, packages, componentsMapArray, componentsTree, i18n, componentsMap, schema, libraryMap, libraryAsset, assetLoader, components;
    return _regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          _ref$dataSource = _ref.dataSource, dataSource = _ref$dataSource === void 0 ? {} : _ref$dataSource;
          if (Object.keys(dataSource).length) {
            _context.next = 3;
            break;
          }
          return _context.abrupt("return", {});
        case 3:
          packages = assets.packages;
          componentsMapArray = dataSource.componentsMap, componentsTree = dataSource.componentsTree, i18n = dataSource.i18n;
          componentsMap = {};
          componentsMapArray.forEach(function (component) {
            componentsMap[component.componentName] = component;
          });
          schema = componentsTree[0];
          libraryMap = {};
          libraryAsset = [];
          packages.forEach(function (_ref3) {
            var _package = _ref3["package"],
              library = _ref3.library,
              urls = _ref3.urls,
              renderUrls = _ref3.renderUrls;
            libraryMap[_package] = library;
            if (renderUrls) {
              libraryAsset.push(renderUrls);
            } else if (urls) {
              libraryAsset.push(urls);
            }
          });
          // TODO asset may cause pollution
          assetLoader = new AssetLoader();
          _context.next = 14;
          return assetLoader.load(libraryAsset);
        case 14:
          _context.next = 16;
          return injectComponents(buildComponents(libraryMap, componentsMap));
        case 16:
          components = _context.sent;
          return _context.abrupt("return", {
            schema: schema,
            components: components,
            i18n: i18n
          });
        case 18:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return function getSchemaPreview(_x) {
    return _ref2.apply(this, arguments);
  };
}();
export var byCodeQuerySchema = function byCodeQuerySchema(code) {
  return Axios.request({
    url: "low-code/schema/query/by/" + code,
    method: 'GET'
  });
};