function isObject(value) {
  return value !== null && typeof value === 'object';
}
export function isPlainObject(value) {
  if (!isObject(value)) {
    return false;
  }
  var proto = Object.getPrototypeOf(value);
  return proto === Object.prototype || proto === null || Object.getPrototypeOf(proto) === null;
}

/**
 * 删除对象的某个属性
 * @param target 目标对象(需要删除对象)
 * @param key 需要删除的key 如不传key默认全部删除对象的所有的key
 */
export var deleteObjectProperty = function deleteObjectProperty(target, key) {
  if (key === void 0) {
    key = '';
  }
  if (key) {
    Reflect.deleteProperty(target, key);
  } else {
    Object.keys(target).forEach(function (item) {
      Reflect.deleteProperty(target, item);
    });
  }
};